My bad! left check_expr2 in the ALL_UTILS list by mistake. Already done to 1.6.x